apiVersion: kubevirt.io/v1
kind: VirtualMachineInstanceReplicaSet
metadata:
  name: vsr-replicaset-bis
spec:
  replicas: 2
  selector:
    matchLabels:
      myrsvmi: myrsvmi
  template:
        metadata:
          name: vsr-bis
          labels:
            myrsvmi: myrsvmi
        spec:
          domain:
            devices:
              disks:
                - name: mydisk
                  disk: {}
                - name: cloudinitdisk
                  disk: {}
              interfaces:
                - name: default
                  bridge: {}
                - name: sriov
                  sriov: {}
            resources:
              requests:
                memory: "8Gi"
                cpu: "4"
              limits:
                memory: "8Gi"
                cpu: "4"
          networks:
            - name: default
              pod: {}
            - name: sriov
              multus:
                networkName: multus-intel-sriov-nic-vsr
          accessCredentials:
          - sshPublicKey:
              source:
                secret:
                  secretName: my-pub-key
              propagationMethod:
                noCloud: {}
          volumes:
          - name: mydisk
            ephemeral:
              persistentVolumeClaim:
                claimName: vsr-image
          - name: cloudinitdisk
            cloudInitNoCloud:
              userData: |-
                #cloud-config
